Bug 118399 - Wrong path to deliver in cyrus.m4
Summary: Wrong path to deliver in cyrus.m4
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-16 12:44 UTC by Bob Chiodini
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-01 15:49:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Chiodini 2004-03-16 12:44:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20040107 Galeon/1.3.7

Description of problem:
From /usr/share/sendmail-cf/mailer/cyrus.m4 the path to deliver is
incorrect as follows:

ifdef(`CYRUS_MAILER_PATH',, `define(`CYRUS_MAILER_PATH',
/usr/cyrus/bin/deliver)')

should be:

ifdef(`CYRUS_MAILER_PATH',, `define(`CYRUS_MAILER_PATH',
/usr/lib/cyrus-imapd/deliver)')



Version-Release number of selected component (if applicable):
sendmail-cf-8.12.11-3.2.1

How reproducible:
Always

Steps to Reproduce:
1. Configure sendmail.mc using /usr/share/sendmail-cf/cf/cyrusproto.mc
2. Restart sendmail
3. Note error in /var/log/maillog when new mail is received.
    

Actual Results:  /var/log/maillog indicates: SYSERR(root): Cannot exec
/usr/cyrus/bin/deliver: No such file or directory

Expected Results:  Mail should be delivered without error.

Additional info:

Comment 1 Thomas Woerner 2004-04-01 15:49:32 UTC
Fixed in rawhide in rpm sendmail-8.12.11-4.3 or newer.

Comment 2 Bob Chiodini 2004-04-14 11:33:34 UTC
Problem still exists in sendmail-8.12.11-4.5 (FC2T2).  I would have
thought the fix would have been in sendmail-cf
(sendmail-cf-8.12.11-4.5 installed).

Comment 3 Thomas Woerner 2004-04-14 12:34:41 UTC
It is fixed:

sendmail-cf-8.12.11-4.5: /usr/share/sendmail-cf/mailer/cyrus.m4:

ifdef(`CYRUS_MAILER_PATH',, `define(`CYRUS_MAILER_PATH',
/usr/lib/cyrus-imapd/deliver)')


Comment 4 Bob Chiodini 2004-04-14 14:06:23 UTC
My mistake.  The fix was installed with the first update. 
sendmail-cf-8.12.11-4.i386.rpm was in the original FC2T2 iso, sorry.

Comment 5 Alexander Dalloz 2004-05-10 11:59:42 UTC
/usr/share/sendmail-cf/mailer/cyrus.m4 is the macro file for the old
Cyrus-IMAPd version 1.6.x.

The correct m4 macro file for the Cyrus-IMAPd version 2.2.3 shipping
with FC 2 is usr/share/sendmail-cf/mailer/cyrusv2.m4. That will use
the lmtp socket. Or see http://anfi.homeunix.net/cyrus/#sendmail for
newer m4 macro solutions supporting the new virtual domain support
with v. 2.2.3.


Note You need to log in before you can comment on or make changes to this bug.